# GetSubscriptionExpiryDate

### Description

Gets the subscription expiry date associated with the license.

```csharp
DateTime GetSubscriptionExpiryDate(string webServiceUrl, 
                                   string activationKey, string computerKey, 
                                   out string response)
```

### Parameters

| Parameter     |    Type    | Description                                                                                                                                |
| ------------- | :--------: | ------------------------------------------------------------------------------------------------------------------------------------------ |
| webServiceUrl |   string   | URL to the QLM License Server                                                                                                              |
| activationKey |   string   | The activation key to retrieve the subscription expiry date for. If this argument is set, you do not need to set the computerKey argument. |
| computerKey   |   string   | The computer key to retrieve the subscription expiry date for. If this argument is set, you do not need to set the activationKey argument. |
| response      | out string | XML fragment containing the result of the call.                                                                                            |

### Response XML format

Returns the value of the userData1 field.

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>Successfully executed.</result>
</QuickLicenseManager>

```

### Example error response

In the event of an error, the XML fragments returns:

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

### Return

| Type     | Description                          |
| -------- | ------------------------------------ |
| DateTime | the subscription expiry date in UTC. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/getsubscriptionexpirydate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
